Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create webhook subscription

POST/workspaces/{organizationId}/webhook-subscriptions
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
urlstring<uri>required
eventsstring
secretstring
Responses
201

Webhook subscription created

idstringrequired
organizationIdstringrequired
urlstringrequired
eventsstringrequired
hasSecretbooleanrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/webhook-subscriptions' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "url": "http://example.com",
  "events": "string",
  "secret": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "url": "string",
  "events": "string",
  "hasSecret": true,
  "createdAt": "string"
}

Was this page helpful?